security:
    role_hierarchy:
        ROLE_ADMIN:       ROLE_USER
        ROLE_SUPER_ADMIN: [ROLE_ADMIN]
    encoders:
        App\Entity\User:
            algorithm: bcrypt
    providers:
        main:
            entity:
                class: App\Entity\User
                property: username
    firewalls:
        main:
            pattern:    ^/
#            http_basic: ~
#            provider: main
            guard:
                authenticators:
                    - App\Service\Auth
            anonymous: ~
            logout: ~
            stateless: true

    access_control:
        - { path: ^/Login , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/Factures/Show , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/_wdt , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/Seed , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/Mails/Unsubscribe , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/_profiler , roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/ , roles: ROLE_USER}
